跳转到主要内容
GET /api/v1/cloud/sessions/{session_id}/resources/{resource_id} 按 ID 返回一个 Session resource。

路径参数

参数类型说明
session_idstringsess_ 为前缀的 Session ID
resource_idstringsesr_ 为前缀的 Resource ID

请求头

头部必选说明
AuthorizationBearer $QODER_PAT

示例请求

curl https://api.qoder.com/api/v1/cloud/sessions/sess_019e392c0d1e74e095d21ea4c6b41def/resources/sesr_0e4323e8f47ba34853f5409e \
  -H "Authorization: Bearer $QODER_PAT"

示例响应

HTTP 200 OK
{
  "id": "sesr_0e4323e8f47ba34853f5409e",
  "type": "file",
  "file_id": "file_019ef2a07a06704fb899908c29eed779",
  "mount_path": "/mnt/session/uploads/file_019ef2a07a06704fb899908c29eed779",
  "created_at": "2026-06-23T05:53:19.77484Z",
  "updated_at": "2026-06-23T05:53:44.995459Z"
}
完整结构见 Session resource

错误码

HTTP类型触发条件
401authentication_errorPAT 无效或过期
404not_found_errorSession 或 resource 不存在
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session resource 'sesr_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
HTTP 404 Not Found
{
  "type": "error",
  "error": {
    "type": "not_found_error",
    "message": "Session 'sess_does_not_exist_xxxxxxxxxxxxxxxxxxxxxxx' was not found."
  }
}
完整错误信封格式见 错误参考